#include "arc/math/obround.h"

ARC_FObround ARC_Obround_CastToFObround(ARC_Obround *obround){
    return (ARC_FObround){
        .x = (float)obround->x,
        .y = (float)obround->y,
        .r = (float)obround->r,
        .h = (float)obround->h
    };
}

ARC_Obround ARC_FObround_CastToObround(ARC_FObround *obround){
    return (ARC_Obround){
        .x = (int32_t)obround->x,
        .y = (int32_t)obround->y,
        .r = (int32_t)obround->r,
        .h = (int32_t)obround->h
    };
}